eekboek (2.04-1) unstable; urgency=medium

  * New upstream release.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 06 Feb 2021 16:32:08 +0100

eekboek (2.03.01-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: add uversionmangle to handle changed version scheme.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Joost van Baal-Ilić ]
  * debian/control: update my name.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 31 Dec 2020 15:00:00 +0100

eekboek (2.03.01-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Thijs Kinkhorst ]
  * New upstream release.
  * Update to policy 4.1.3.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 27 Mar 2018 18:34:57 +0000

eekboek (2.02.05+dfsg-2) unstable; urgency=medium

  * Team upload
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Nathan Handler from Uploaders. Thanks for your work!
  * debian/rules: call pod2man with --name to make the build reproducible.
    Thanks to Chris Lamb for the bug report and the patch.
    (Closes: #835448)
  * Update years of packaging copyright.
  * Fix some paths in debian/copyright.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Thu, 25 Aug 2016 22:01:08 +0200

eekboek (2.02.05+dfsg-1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * New upstream release.
  * Checked for policy 3.9.7, no changes.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 09 Mar 2016 16:34:36 +0000

eekboek (2.02.04+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Daniel Lintott ]
  * Add dversionmangle to remove +dfsg suffix
  * Use metacpan.org for debian/watch (has the newest version)

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Mark package as autopkgtestable
  * Declare compliance with Debian Policy 3.9.6
  * Add explicit build dependency on libmodule-build-perl

 -- Damyan Ivanov <dmn@debian.org>  Sat, 06 Jun 2015 16:28:59 +0000

eekboek (2.02.04+dfsg-1) unstable; urgency=medium

  * Repack upstream tarball to remove nonfree w3c icons. They will
    be removed from future upstream releases. (closes: #735943)
  * Checked for policy 3.9.5, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 22 Feb 2014 17:58:28 +0100

eekboek (2.02.04-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 27 Jul 2013 17:23:35 +0200

eekboek (2.02.02-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * New upstream release.

  [ Nathan Handler ]
  * Email change: Nathan Handler -> nhandler@debian.org

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 16 May 2013 20:03:48 +0200

eekboek (2.02.00-1) unstable; urgency=low

  * New upstream release.
    - Improves VAT/BTW handling for the upcoming NL BTW tariff change.
  * Update our eekboek-site-start.el from upstream's version, included
    from 2.01+ in their distribution, and add wrapper to check if
    package removed but not purged. Thanks Kevin Ryde.
    (closes: 584608, 584609)
  * Checked for policy 3.9.4 (no changes).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 10 Mar 2012 16:55:30 +0100

eekboek (2.00.04-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * New upstream release.
  * Update to policy 3.6.3, copyright format 1.0.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.
  * Switch to "3.0 (quilt)" source format.
  * Switch to debhelper compatibility level 8.
    Update override_dh_auto_configure.
  * Update installing of emacs files.
  * debian/eekboek.examples: contrib/ is gone.
  * debian/copyright: update formatting and info.
  * Bump Standards-Version to 3.9.2 (no further changes).
  * debian/control: remove version from (build) dependencies that are
    already satisfied in oldstable.
  * debian/control: add ${perl:Depends}.
  * debian/rules: fix manpage sections.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 10 Mar 2012 15:53:32 +0100

eekboek (2.00.03-1) unstable; urgency=low

  * New upstream release.
  * Checked for policy 3.9.1, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 27 Mar 2011 15:20:26 +0200

eekboek (2.00.02-2) unstable; urgency=low

  * Do not compress example files linked from HTML manual (Closes: #582584).
  * Make watch file not report release candidates.
  * Install emacs mode in a way that actually works (Closes: #582585).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 May 2010 18:19:09 +0200

eekboek (2.00.02-1) unstable; urgency=low

  * New upstream bugfix release.
  * Obsoletes libfile-homedir-perl dependency.
  * Install eekboek.el in the proper location (Closes: #579699).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 06 May 2010 22:47:48 +0200

eekboek (2.00.00-1) unstable; urgency=low

  * New upstream release.

  [ Joost van Baal ]
  * debian/eekboek-gui.install: bugfix: do not install ebicon.png in
    /usr/share/app-install/icons/ but in /usr/share/pixmaps/.

  [ Thijs Kinkhorst ]
  * debian/rules: put man pages into section 1, not 1p.
  * Upload to unstable.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 28 Mar 2010 11:51:37 +0200

eekboek (2.00.00~RC2-1) experimental; urgency=low

  * New upstream release candidate.
  * Checked for policy 3.8.4, no changes.
  * Add doc-base information.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 21 Mar 2010 15:41:00 +0100

eekboek (1.05.17-1) experimental; urgency=low

  * New upstream test release

  [ Joost van Baal ]
  * debian/NEWS: update.  Current test releases no longer come with big
    disclaimer.  They're somewhat more stable.

 -- Joost van Baal <joostvb@debian.org>  Sat, 23 Jan 2010 15:08:54 +0100

eekboek (1.05.16-1) experimental; urgency=low

  * New EXPERIMENTAL upstream release

 -- Joost van Baal <joostvb@debian.org>  Sun, 17 Jan 2010 10:39:31 +0100

eekboek (1.05.15-1) experimental; urgency=low

  * New EXPERIMENTAL upstream release

  [ Joost van Baal ]
  * debian/eekboek-gui.install: eekboek.desktop was renamed to
    ebwxshell.desktop
  * debian/README.Debian: fix spelling.

 -- Joost van Baal <joostvb@debian.org>  Sat, 16 Jan 2010 09:42:43 +0100

eekboek (1.05.14-1) experimental; urgency=low

  * New EXPERIMENTAL upstream release

  [ Joost van Baal ]
  * Introduced new package eekboek-gui, which ships ebwxshell:
    - debian/control: The package eekboek no longer suggests
      eekboek-db-postgresql or libwx-perl, but suggests eekboek-gui.
    - debian/rules: install ebwxshell and manpage in eekboek-gui.
    - debian/eekboek{,-gui}.install: added eekboek-gui.install;
      .desktop and icon moved from package eekboek to eekboek-gui.
  * debian/control: add Thijs Kinkhorst to Uploaders, since he
    expressed interest (after I'd asked him).
  * debian/README.Debian: ebgui is renamed to ebwxshell, added
    description of ebwxshell in English.

 -- Joost van Baal <joostvb@debian.org>  Thu, 14 Jan 2010 17:20:44 +0100

eekboek (1.05.06-1) UNRELEASED; urgency=low

  * New EXPERIMENTAL upstream release
  * This package was never uploaded to any archive.

  [ Joost van Baal ]
  * debian/eekboek.install: lib/EB/Wx/icons/ebicon.png is back, install
    it.

 -- Joost van Baal <joostvb@debian.org>  Mon, 21 Dec 2009 08:23:57 +0100

eekboek (1.05.05-1) experimental; urgency=low

  * New EXPERIMENTAL upstream release

  [ Joost van Baal ]
  * lib/EB/DB/Sqlite.pm: replace our patch with fixed upstream
    version.
  * debian/NEWS: record status of this release.
  * debian/docs: install upstream README file.
  * debian/eekboek.install: for now, don't try to supply a .desktop
    icon.  (Upstream removed it.)

 -- Joost van Baal <joostvb@debian.org>  Sun, 20 Dec 2009 10:18:42 +0100

eekboek (1.05.04-4) experimental; urgency=low

  * Finally upload this (to experimental).

  [ Joost van Baal ]
  * debian/TODO: Add items: deal sane with failing tests.  (For now,
    we've disabled them.)  And: use doc-base for documentation
    registration.
  * eekboek.desktop, debian/eekboek.install: install icon at proper
    place, revert .desktop patch.  Thanks Paul van der Vlis for
    bugreport with patch.
  * debian/README.Debian: fix spelling error.  Thanks lintian.
  * debian/{post,pre}{inst,rm}: remove so that lintian doesn't complain
    about these being empty.

 -- Joost van Baal <joostvb@debian.org>  Fri, 18 Dec 2009 05:48:07 +0100

eekboek (1.05.04-3) UNRELEASED; urgency=low

  * This package was never uploaded to any archive.

  [ Joost van Baal ]
  * debian/README.Debian: add thanks-section, add note on rationale for
    the EekBoek GUI.
  * debian/{post,pre}{inst,rm}: added maintainer scripts with debhelper
    template.  We expect debhelper to run stuff for us (not now, but
    likely in a future release.)
  * eekboek.desktop: patched so that icon gets found.

 -- Joost van Baal <joostvb@debian.org>  Thu, 17 Dec 2009 08:49:58 +0100

eekboek (1.05.04-2) UNRELEASED; urgency=low

  * This package was never uploaded to any archive.

  [ Joost van Baal ]
  * debian/eekboek.install: install eekboek.desktop and eekboek-mode.el
    (I believe dh_installemacsen doesn't deal with upstream supplied .el
    files).
  * debian/rules: Do not install empty manpage EB::Shell::DeLuxe(3pm).
  * debian/control: Remove perl (>= 5.8.8-7etch1) from build depends
    indep: version is unneeded, we still have perl (>= 5.10.0) |
    libmodule-build-perl (>= 0.26).
  * debian/TODO: resurrected.
  * debian/README.Debian: add pointers to documentation.  (The upstream
    manpages aren't very helpful yet.)

 -- Joost van Baal <joostvb@debian.org>  Mon, 14 Dec 2009 10:17:07 +0100

eekboek (1.05.04-1) UNRELEASED; urgency=low

  * New upstream "SNAPSHOT" release (Wed 28 Oct 2009).  This package was
    never uploaded to any archive.

  [ Nathan Handler ]
  * debian/control:
    - Bump Standards-Version to 3.8.3 (No changes)
    - Build-Depend on debhelper (>= 7.0.50)
    - Drop quilt Build-Depends
    - Add libfile-homedir-perl to Build-Depends-Indep
  * debian/rules:
    - Switch to short format
  * debian/compat:
    - Bump to 7
  * debian/patches/*:
    - Remove since fix_pod2man_errors.patch was applied upstream
  * README.source:
    - Remove since quilt is no longer used
  * debian/watch:
    - Remove comments

  [ gregor hermann ]
  * debian/control: Changed (build-)depend on perl instead of perl-
    modules

  [ Joost van Baal ]
  * debian/control:
    - remove now obsolete cdbs build dependency.
    - add libarchive-zip-perl, libterm-readline-gnu-perl,
      libhtml-parser-perl (HTML::Entities), libdbd-sqlite3-perl (>= 1.13),
      to build depends as suggested by upstream at
      http://www.eekboek.nl/install/build.html.  We don't need
      libdbd-pg-perl (>= 1.41) since we've disabled the pg-tests.
    - add libwx-perl to suggests (needed for ebgui), mention
      this in description.
    - add libcarp-assert-perl and libfile-homedir-perl to depends: we
      are not using the private copies of these external modules, as
      shipped with eekboek.
  * debian/eekboek.examples: (cosmetic) introduce additional linebreak
  * lib/EB/DB/Sqlite.pm: fix warning '"unicode" attribute will be
    deprecated. Use "sqlite_unicode" instead', so that 'make test' gets
    passed.
  * debian/rules:
    - use Build.PL (as upstream suggests, using Module::Build
      which replaces MakeMaker), not Makefile.PL.
    - install manpages under /usr/share/man, not /usr/man.
    - disable tests 80_db_postgresql.t, 91_ivp_sqlite.t,
      92_ivp_postgres.t. For some reason these fail.
    - do not install EB::CPAN::Carp::Assert, EB::CPAN::File::Homedir:
      Debian ships these in libcarp-assert-perl and libfile-homedir-perl.
  * debian/NEWS: report experimental status of this release.
  * debian/{TODO,README.devel}: TODO.Debian no longer installed.

 -- Nathan Handler <nhandler@ubuntu.com>  Wed, 04 Nov 2009 22:30:20 -0600

eekboek (1.04.04-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - 001000008001000009.pl no longer needs to be executable
  * debian/copyright:
    - Fix some minor formatting issues

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 14 Jun 2009 13:30:41 +0000

eekboek (1.04.03-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.8.1 (No changes)
    - Add myself to list of uploaders
    - Drop Depends on libipc-run3-perl and libmodule-build-perl, which are only
      needed for building (closes: #497794)
    - Have eekboek-db-postgresql depend on eekboek (= ${source:Version}) instead
      of just eekboek
    - Change Priority to optional
    - Add Depends on ${misc:Depends} for eekboek-db-postgresql to make
      lintian happy
    - Build-Depend on perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.26)
      instead of libmodule-build-perl (>= 0.26) to make lintian happy
    - Build-Depend on quilt
    - Move all Build-Depends except cdbs, debhelper, and quilt to
      Build-Depends-Indep to make lintian happy
  * debian/copyright:
    - Switch to new format
    - Update to list all copyrights
    - debian/* is now copyright Nathan Handler, Joost van Baal, and Johan
      Vromans
  * debian/eekboek.examples:
    - Add contrib/* as example files
  * debian/README.source:
    - Add since we are now using quilt to comply with Debian policy >= 3.8.0
  * debian/patches/fix_pod2man_errors.patch:
    - Modify lib/EB/Shell/DeLuxe.pm to fix Lintian
     "manpage-has-errors-from-pod2man" warning.
  * debian/rules:
    - Add 'include /usr/share/cdbs/1/rules/patchsys-quilt.mk'
    - Make 001000008001000009.pl executable to make Lintian happy

 -- Nathan Handler <nhandler@ubuntu.com>  Sat, 06 Jun 2009 17:33:22 +0000

eekboek (1.04.02-1) unstable; urgency=low

  * New upstream release.

  [ Joost van Baal ]
  * control: explain purpose of package eekboek-db-postgresql in eekboek
    description. Thanks Paul van der Vlis.
  * control: fix description of role of XAF file in eekboek package
    description.  Thanks Paul van der Vlis.

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

 -- Joost van Baal <joostvb@debian.org>  Tue, 27 Jan 2009 05:16:23 +0100

eekboek (1.04-1) unstable; urgency=low

  * New upstream release, to be published 2008-09.  (Missed 1.03.93 which was
    EekBoek 1.04 Release Candidate 2, released 2008-08-24.)
    - now ships documentation files html/setup/relaties.html,
      html/setup/mutaties.html and html/setup/init.html.  Thanks Marco van
      Zwetselaar for reporting this. (closes: #495720).
  * control: Add english translations for Dutch words (Balans e.a.).
    Thanks Danai SAE-HAN (韓達耐) (closes: #494708).
  * rules: set DEB_DH_PERL_ARGS_ALL in order to not depend upon Perl >=
    dh_perl's $min_version, but upon current Perl version: upstream states at
    least 5.8.3 is needed.  (closes: #494809).
  * control: add Suggests: postgresql to Package: eekboek-db-postgresql:
    generally, people using eekboek with the pg driver likely want to run
    their database server on the local machine.  Thanks to the eekboek-users
    subscribers for their feedback.
  * control: downgrade priority from optional to extra in order to comply with
    Policy Section 2.5: libipc-run3-perl, on which we depend, has priority
    extra.  Furthermore, eekboek is only likely to be useful for those who
    already know what it is and have specialized requirements.
  * docs, NEWS: refer to and ship CHANGES-104 for upgrade instructions.

 -- Joost van Baal <joostvb@debian.org>  Thu, 04 Sep 2008 09:04:47 +0200

eekboek (1.03.92-1) unstable; urgency=low

  * New upstream release: EekBoek 1.04 Release Candidate 1, released
    2008-08-10.

 -- Joost van Baal <joostvb@debian.org>  Mon, 11 Aug 2008 20:08:27 +0200

eekboek (1.03.90-3) experimental; urgency=low

  *  Uploading to experimental, in order not to interfere with the freeze
     for lenny.

 -- Joost van Baal <joostvb@debian.org>  Thu, 24 Jul 2008 08:01:29 +0200

eekboek (1.03.90-2) unstable; urgency=low

  * First upload to Debian archive (closes: #491113).
  * README.Debian: added.
  * control: added libarchive-zip-perl to depends: Archive::Zip is
    needed for file import.
  * docs: now installs all documentation (html).
  * control: enhance description.

 -- Joost van Baal <joostvb@debian.org>  Wed, 23 Jul 2008 07:50:02 +0200

eekboek (1.03.90-1) unstable; urgency=low

  * This version is never officially released.
  * New upstream release.  We now can use pristine upstream tarballs.
  * watch: added, for uscan(1).
  * Now maintained using the nice infrastructure from
    http://pkg-perl.alioth.debian.org:
    - control: set Maintainer to Debian Perl Group, add Vcs-* fields.
  * control: update Standards from 3.7.2 to 3.8.0 (no other changes needed).
  * eekboek-db-postgresql.install, rules, control: The eekboek-db-postgresql
    package now is required to use eekboek with PostgreSQL: the eekboek package
    no longer ships EB::DB::Postgres.

 -- Joost van Baal <joostvb@debian.org>  Tue, 22 Jul 2008 06:21:51 +0200

eekboek (1.03.13-1) unstable; urgency=low

  * This version is never officially released.
  * control: no longer build eekboek-unstable-db-sqlite, but move dependency
    upon libdbd-sqlite3-perl from eekboek-unstable-db-sqlite to
    eekboek-unstable.
  * control: rename binary packages eekboek-unstable,
    eekboek-unstable-db-postgresql to eekboek, eekboek-db-postgresql
  * control: replace hardcoded perl (>= 5.8.0) with substvars.
  * rules: convert from dh-style to cdbs-style.
    - control: add cdbs to build-depends.
  * control: set myself as maintainer.
  * control: enhance description.
  * eekboek.examples: added (reimplements and improves upon dh_installdocs
    arguments in previous debian/rules)
  * copyright: refer to /usr/share/common-licenses/, add upstream url.
  * control: add Homepage field.
  * TODO: added.

 -- Joost van Baal <joostvb@debian.org>  Sat, 19 Jul 2008 08:47:13 +0200

eekboek (1.03.13) unstable; urgency=low

  * Initial Release.

 -- Johan Vromans <jvromans@squirrel.nl>  Wed, 27 Feb 2008 20:40:38 +0100
